Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

上传代理哈希

接口调用

POST https://open.tronify.io/api/staking/uploadDelegateHash

以下参数带*字段为必填,不带*号为选填

Request Body

Name
Type
Description

orderId*

String

订单ID

payAddress*

String

收益收取地址(合法 TRON 地址)

signedData*

Object

TronLink 签名后的交易对象(trx.sign 返回值)

sourceFlag*

String

来源标识

{
    "resCode": 100,
    "resMsg": "Success",
    "data": {}
}

 
{
    // Response
}

调用示例

// example
const params = {
    "orderId": "n0tfxxxxxxxxxxxxxxxxxxxxxxx",
    "payAddress":"TKxxxxxxxxxxxxxxxxxxxxxxx",
    "signedData": {
        "raw_data": {
            "ref_block_bytes": "0c6d",
            "ref_block_hash": "6ffexxxxxxxxxxxxx",
            "expiration": 1792565193000,
            "contract": [
                {
                    "parameter": {
                        "value": {
                            "owner_address": "4163d48bxxxxxxxxxxxxxxxxxxxxx",
                            "owner": {
                                "permission_name": "owner",
                                "threshold": 1,
                                "keys": [
                                    {
                                        "address": "41b29xxxxxxxxxxxxxxxxxxxxxxx57963d3",
                                        "weight": 1
                                    }
                                ]
                            },
                            "actives": [
                                {
                                    "type": "Active",
                                    "id": 2,
                                    "permission_name": "tronify-active",
                                    "threshold": 1,
                                    "operations": "7xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx0000000",
                                    "keys": [
                                        {
                                            "address": "41b2922xxxxxxxxxxxxxxxxxxxx3d3",
                                            "weight": 1
                                        }
                                    ]
                                }
                            ]
                        },
                        "type_url": "type.googleapis.com/protocol.AccountPermissionUpdateContract"
                    },
                    "type": "AccountPermissionUpdateContract"
                }
            ],
            "timestamp": 1792564536541
        },
        "raw_data_hex": "0a0xxxxxxxxxxxxxxxxxxxxxxxxxx",
        "txID": "ce9cexxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
        "visible": false,
        "signature": [
            "fdcdf36xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
        ]
    },
    "sourceFlag": "tronify",
}
 const res = await axios.post('https://open.tronify.io/api/staking/uploadDelegateHash',params)
 console.log(res)
 if(res.resCode === '100'){
   //...  
 }

Postman 示例

Last updated